- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# scaleway_security_group_rule – Scaleway Security Group Rule management module

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module manages Security Group Rule on Scaleway account https://developer.scaleway.com

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
action - / required | Choices: accept drop | Rule action
api_timeout integer | Default: 30 | HTTP timeout to Scaleway API in seconds. aliases: timeout
api_token string |  | Scaleway OAuth token. aliases: oauth_token
api_url string | Default: "https://api.scaleway.com" | Scaleway API URL. aliases: base_url
direction - / required | Choices: inbound outbound | Rule direction
ip_range - | Default: "0.0.0.0/0" | IPV4 CIDR notation to apply to the rule
port integer / required |  | Port related to the rule, null value for all the ports
protocol - / required | Choices: TCP UDP ICMP | Network protocol to use
query_parameters dictionary | Default: {} | List of parameters passed to the query string.
region - / required | Choices: ams1 EMEA-NL-EVS par1 EMEA-FR-PAR1 | Scaleway region to use (for example `par1`).
security_group - / required |  | Security Group unique identifier
state - | Choices: present ← absent | Indicate desired state of the Security Group Rule.
validate_certs boolean | Choices: no yes ← | Validate SSL certs of the Scaleway API.

## Notes

Note

- Also see the API documentation on https://developer.scaleway.com/
- If `api_token` is not set within the module, the following environment variables can be used in decreasing order of precedence `SCW_TOKEN`, `SCW_API_KEY`, `SCW_OAUTH_TOKEN` or `SCW_API_TOKEN`.
- If one wants to use a different `api_url` one can also set the `SCW_API_URL` environment variable.

## Examples

    - name: Create a Security Group Rule
      scaleway_security_group_rule:
        state: present
        region: par1
        protocol: TCP
        port: 80
        ip_range: 0.0.0.0/0
        direction: inbound
        action: accept
        security_group: b57210ee-1281-4820-a6db-329f78596ecb
      register: security_group_rule_creation_task

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data dictionary | when `state=present` | This is only present when `state=present` Sample: {'scaleway_security_group_rule': {'direction': 'inbound', 'protocol': 'TCP', 'ip_range': '0.0.0.0/0', 'dest_port_from': 80, 'action': 'accept', 'position': 2, 'dest_port_to': None, 'editable': None, 'id': '10cb0b9a-80f6-4830-abd7-a31cd828b5e9'}}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Antoine Barbare (@abarbare)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.